    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.lang.Compiler

    java.lang.Object
       |
       +----java.lang.Compiler

public final class Compiler
extends Object

The `Compiler` class is provided to support Java-to-native-code compilers and related services. By design, the `Compiler` class does nothing; it serves as a placeholder for a JIT compiler implementation.

When the Java Virtual Machine first starts, it determines if the system property `java.compiler` exists. (System properties are accessible through `getProperty` and , a method defined by the `System` class.) If so, it is assumed to be the name of a library (with a platform-dependent exact location and type); the `loadLibrary` method in class `System` is called to load that library. If this loading succeeds, the function named `java_lang_Compiler_start()` in that library is called.

If no compiler is available, these methods do nothing.

See Also:
  getProperty, getProperty, loadLibrary

##

command(Object)
  Examines the argument type and its fields and perform some documented operation.
compileClass(Class)
  Compiles the specified class.
compileClasses(String)
  Compiles all classes whose name matches the specified string.
disable()
  Cause the Compiler to cease operation.
enable()
  Cause the Compiler to resume operation.

##

compileClass

     public static native boolean compileClass(Class clazz)

  Compiles the specified class.

  Parameters:
    clazz - a class.
  Returns:
    `true` if the compilation succeeded; `false` if the compilation failed or no compiler is available.

compileClasses

     public static native boolean compileClasses(String string)

  Compiles all classes whose name matches the specified string.

  Parameters:
    string - the name of the classes to compile.
  Returns:
    `true` if the compilation succeeded; `false` if the compilation failed or no compiler is available.

command

     public static native Object command(Object any)

  Examines the argument type and its fields and perform some documented operation. No specific operations are required.

  Parameters:
    any - an argument.
  Returns:
    a compiler-specific value, or `null` if no compiler is available.

enable

     public static native void enable()

  Cause the Compiler to resume operation.

disable

     public static native void disable()

  Cause the Compiler to cease operation.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.